Bug 176022 - bad memory leak kills system
bad memory leak kills system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-17 13:21 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 00:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-12-17 13:21:51 EST
Description of problem:
System unresponsive - needed reboot.
/var/log/messages contains:

Dec 17 13:01:51 ontap kernel: oom-killer: gfp_mask=0xd0, order=0
Dec 17 13:01:51 ontap kernel: Mem-info:
Dec 17 13:01:51 ontap kernel: Node 0 DMA per-cpu:
Dec 17 13:01:51 ontap kernel: cpu 0 hot: low 0, high 0, batch 1 used:0
Dec 17 13:01:51 ontap kernel: cpu 0 cold: low 0, high 0, batch 1 used:0
Dec 17 13:01:51 ontap kernel: Node 0 DMA32 per-cpu:
Dec 17 13:01:51 ontap kernel: cpu 0 hot: low 0, high 186, batch 31 used:23
Dec 17 13:01:51 ontap kernel: cpu 0 cold: low 0, high 62, batch 15 used:53
Dec 17 13:01:51 ontap kernel: Node 0 Normal per-cpu: empty
Dec 17 13:01:51 ontap kernel: Node 0 HighMem per-cpu: empty
Dec 17 13:01:51 ontap kernel: Free pages:       14440kB (0kB HighMem)
Dec 17 13:01:51 ontap kernel: Active:245974 inactive:246147 dirty:0 writeback:0
unstable:0 free:3610 slab:5233 mapped:492027 pagetables:4521
Dec 17 13:01:51 ontap kernel: Node 0 DMA free:8012kB min:28kB low:32kB high:40kB
active:1420kB inactive:1328kB present:10368kB pages_scanned:3598
all_unreclaimable? yes
Dec 17 13:01:51 ontap kernel: lowmem_reserve[]: 0 1996 1996 1996
Dec 17 13:01:51 ontap kernel: Node 0 DMA32 free:6428kB min:5700kB low:7124kB
high:8548kB active:982476kB inactive:983260kB present:2044132kB
pages_scanned:839285 all_unreclaimable? no
Dec 17 13:01:51 ontap kernel: lowmem_reserve[]: 0 0 0 0
Dec 17 13:01:51 ontap kernel: Node 0 Normal free:0kB min:0kB low:0kB high:0kB
active:0kB inactive:0kB present:0kB pages_scanned:0 all_unreclaimable? no
Dec 17 13:01:51 ontap kernel: lowmem_reserve[]: 0 0 0 0
Dec 17 13:01:51 ontap kernel: Node 0 HighMem free:0kB min:128kB low:128kB
high:128kB active:0kB inactive:0kB present:0kB pages_scanned:0 all_unreclaimable? no
Dec 17 13:01:51 ontap kernel: lowmem_reserve[]: 0 0 0 0
Dec 17 13:01:51 ontap kernel: Node 0 DMA: 1*4kB 1*8kB 2*16kB 1*32kB 0*64kB
0*128kB 1*256kB 1*512kB 1*1024kB 1*2048kB 1*4096kB = 8012kB
Dec 17 13:01:51 ontap kernel: Node 0 DMA32: 177*4kB 15*8kB 2*16kB 6*32kB 2*64kB
1*128kB 0*256kB 0*512kB 1*1024kB 0*2048kB 1*4096kB = 6428kB
Dec 17 13:01:51 ontap kernel: Node 0 Normal: empty
Dec 17 13:01:53 ontap kernel: Node 0 HighMem: empty
Dec 17 13:01:53 ontap kernel: Swap cache: add 1131479, delete 1131217, find
244228/288720, race 0+5
Dec 17 13:01:53 ontap kernel: Free swap  = 0kB
Dec 17 13:01:53 ontap kernel: Total swap = 2048236kB
Dec 17 13:01:53 ontap kernel: Free swap:            0kB
Dec 17 13:01:53 ontap kernel: 524272 pages of RAM
Dec 17 13:01:53 ontap kernel: 12032 reserved pages
Dec 17 13:01:53 ontap kernel: 101744 pages shared
Dec 17 13:01:53 ontap kernel: 262 pages swap cached
Dec 17 13:01:53 ontap kernel: Out of Memory: Killed process 6792 (slideshow).
Dec 17 13:11:47 ontap syslogd 1.4.1: restart.


Version-Release number of selected component (if applicable):
gnome-screensaver-0.0.22-1

How reproducible:
Seen once - then gnome-screensaver removed from system.

Steps to Reproduce:
1. let system idle so that gnome-screensaver runs
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2006-02-16 00:28:08 EST
Hmm, gnome-screensaver runs flawlessly for me in rawhide. 
I'll assume this is fixed in more recent gnome-screensaver
releases. Reopen if you see it again.

Note You need to log in before you can comment on or make changes to this bug.